Ubuntu

Change log for “m17n-lib” package in Ubuntu

123 of 23 results
Published in utopic-release on 2014-04-23
Published in trusty-release on 2013-12-18
Deleted in trusty-proposed (Reason: moved to release)
m17n-lib (1.6.4-2ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.
 -- Matthias Klose <email address hidden>   Wed, 18 Dec 2013 13:00:39 +0100
Superseded in trusty-release on 2013-12-18
Published in saucy-release on 2013-07-08
Deleted in saucy-proposed (Reason: moved to release)
m17n-lib (1.6.4-2) unstable; urgency=low


  * The Mayhem Team reported the following bug:
    http://www.forallsecure.com/bug-reports/69409d6ddf6f28f4f8f8f0c26b7c9c61d70d879e/
     - Upstream patch: 0001-mconv-fix-checking-of-command-line-arguments.patch
  * debian/control: DM-Upload-Allowed removed

 -- Harshula Jayasuriya <email address hidden>  Tue, 07 Jul 2013 16:31:49 +1000
Superseded in saucy-release on 2013-07-08
Deleted in saucy-proposed on 2013-07-10 (Reason: moved to release)
m17n-lib (1.6.4-1build1) saucy; urgency=low

  * Rebuild for libgd3.
 -- Colin Watson <email address hidden>   Mon, 20 May 2013 00:12:23 +0100
Superseded in saucy-release on 2013-06-02
Published in raring-release on 2012-12-15
Deleted in raring-proposed (Reason: moved to release)
m17n-lib (1.6.4-1) unstable; urgency=low


  * New upstream release 1.6.4.
  * Upstream has moved to https://savannah.nongnu.org/projects/m17n.
  * Updated to debhelper 9.
  * debian/copyright: update tarball location, homepage, copyright dates.
  * debian/rules: use dpkg-buildflags

 -- Harshula Jayasuriya <email address hidden>  Wed, 12 Dec 2012 00:47:08 +1100

Available diffs

Superseded in raring-release on 2012-12-15
Published in quantal-release on 2012-05-28
m17n-lib (1.6.3-2) unstable; urgency=low


  * Update maintainer email address.
  * Update Standards-Version to Debian Policy 3.9.3. (No changes)
  * Fix debian-rules-missing-recommended-target.

 -- Harshula Jayasuriya <email address hidden>  Mon, 27 May 2012 22:39:39 +1000

Available diffs

Superseded in quantal-release on 2012-05-28
Published in precise-release on 2011-11-01
m17n-lib (1.6.3-1) unstable; urgency=low

  * New upstream release 1.6.3.
  * Update Standards-Version to Debian Policy 3.9.2. (No changes)
  * locale.c.patch: drop, included in upstream.
  * add-FONTCONFIG_LD_FLAGS-to-libm17n_X_la_LIBADD.patch: drop, included
    in upstream.
  * debian/control:
      - Subpackage anthy, ispell modules into m17n-lib-mimx. (Closes: 582797)
      - m17n-lib-mimx: Depends on anthy and ispell.
  * debian/libm17n-0.symbols: added: minput_list@Base 1.6.3
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  01 Nov 2011 10:33:01 +0000

Available diffs

Superseded in precise-release on 2011-11-01
Published in oneiric-release on 2011-04-28
Obsolete in natty-release on 2013-06-04
m17n-lib (1.6.2-3) unstable; urgency=low

  * FTBFS fix: add-FONTCONFIG_LD_FLAGS-to-libm17n_X_la_LIBADD.patch
               (Closes: 618080)

Available diffs

Superseded in natty-release on 2011-03-31
m17n-lib (1.6.2-1) unstable; urgency=low

  * New upstream release 1.6.2.
  * Update Standards-Version to Debian Policy 3.9.1. (No changes)
  * debian/control: Depends: m17n-db and m17n-contrib. (Closes: #599643)
  * PATCH: (make_locale): Don't call setlocale.  Just parse the arg NAME.
           (Closes: #601858)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  25 Nov 2010 12:54:25 +0000

Available diffs

Superseded in natty-release on 2010-11-25
m17n-lib (1.6.1-1) unstable; urgency=low

  * New upstream release 1.6.1.
  * Update Standards-Version to Debian Policy 3.8.4. (No changes)
  * debian/source/format: 3.0 (quilt).
  * debian/README.source: deleted.
  * debian/rules: remove all references to patch and dpatch.
  * debian/copyright: update dates.
  * debian/control:
      - Build-depends: remove dpatch.
      - Build-depends: libotf >= 0.9.11
      - Recommends: m17n-db >= 1.6.0
  * debian/patches/fix_loadable_modules_path.dpatch: removed, fixed upstream.
  * debian/patches/fix_soversion.patch: removed, fixed upstream.
  * debian/libm17n-0.install: module directory changed from /usr/lib/m17n-lib/
    to /usr/lib/m17n/1.0/ .
  * debian/libm17n-0.symbols: updated.
  * debian/libm17n-dev.install: remove modules.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 09:44:30 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
Published in lucid-release on 2010-01-28
m17n-lib (1.5.5-1) unstable; urgency=low

  * New upstream release 1.5.5.
  * Update Standards-Version to Debian Policy 3.8.3. (No changes)
  * debian/control:
      - build-depend on libgd2-noxpm-dev, not libgd2-xpm-dev. (Closes: #543985)
      - DM-Upload-Allowed: yes.
      - Specified versioned build tools for Build-Depends.
      - Add versioned Depends.
  * debian/copyright: specify the version of the license file.
  * debian/README.source: Created this file.
  * Add debian/libm17n-0.symbols. (Closes: #555437)

Available diffs

Superseded in lucid-release on 2010-01-28
Obsolete in karmic-release on 2013-03-04
m17n-lib (1.5.4-1ubuntu1) karmic; urgency=low

  * Build-depend on libgd2-noxpm-dev, not libgd2-xpm-dev; there's no reason
    we need xpm support here, so go for the more generic build.

 -- Steve Langasek <email address hidden>   Thu, 27 Aug 2009 10:57:41 +0000

Available diffs

Superseded in karmic-release on 2009-08-27
m17n-lib (1.5.4-1build1) karmic; urgency=low

  * Rebuild against new libdatrie.

 -- Daniel Holbach <email address hidden>   Mon, 04 May 2009 09:28:01 +0200

Available diffs

Superseded in karmic-release on 2009-05-04
m17n-lib (1.5.4-1) unstable; urgency=low

  * New upstream release 1.5.4.
  * Do not add the *.la files to the -dev package. (Closes: 510330)
  * Update Standards-Version to Debian Policy 3.8.1. (No changes)
  * debian/control:
      - inherit Section from source package.
      - the -dbg package moved to the debug section.
  * debian/copyright:
      - add the string "Copyright" as instructed by Lintian.
      - update the copyright dates.
  * debian/rules:
      - BUGFIX: add the required "\" to the multi-line configure call.
      - BUGFIX: remove space between "-Wl," and "--as-needed".
      - replace dh_clean -k with dh_prep.
      - add "-Wl,-z,defs".
      - dynamically discover the version and major number.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Apr 2009 12:03:34 +0100

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
m17n-lib (1.5.2-1) unstable; urgency=low

  * New upstream release 1.5.2.
  * Update Standards-Version to Debian Policy 3.8.0. (No changes)
  * Fixed upstream, removed: debian/patches/40_makefile_link_with_libs.dpatch.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  05 Nov 2008 10:40:00 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
m17n-lib (1.5.1-1) unstable; urgency=low

  * New upstream release 1.5.1. (Closes: #434041)
  * debian/control: changed to Section: utils.
  * debian/{copyright,rules}: updated.
  * Updated to debhelper 7.
  * Enable patch fix_loadable_modules_path.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  26 Jun 2008 09:08:09 +0100

Available diffs

Superseded in intrepid-release on 2008-06-26
m17n-lib (1.3.4-2) unstable; urgency=high

  * libm17n-dev Depends on libxml2-dev and libthai-dev. (Closes: #473957)

Superseded in intrepid-release on 2008-05-03
Published in hardy-release on 2008-04-10
m17n-lib (1.3.1-1.1build1) hardy; urgency=low

  * rebuild against the latest libraries (LP: #210860)

 -- Arne Goetje <email address hidden>   Thu, 10 Apr 2008 00:46:12 +0800
Superseded in hardy-release on 2008-04-10
Superseded in hardy-release on 2008-03-28
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
m17n-lib (1.3.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Hardlink dlopen to use .so.0-files - not too nice, but works for now, and
    reduces severity of bug #325528 to "only" important. Closes: #325528

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  06 Dec 2006 13:06:49 +0000
Superseded in feisty-release on 2006-12-06
Obsolete in edgy-release on 2008-06-19
m17n-lib (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Previous NMU acknowledged (Closes: #348806, #325528, #347002).
  * Changed to make use of dpatch.
  * Added a new package for debugging; libm17n-0-dbg.
  * Moved libmimx* to /usr/lib/m17n-lib subdirectory.

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
m17n-lib (1.2.0-5) unstable; urgency=high


  * debian/control: Added build-dependencies on libgd2-xpm-dev.  This
  change will not affect the ABI compatibility  (closes: #325520).
  * Adapted to debian policy 3.6.2.

 -- Hidetaka Iwai <email address hidden>  Tue, 30 Aug 2005 03:56:10 +0900
Obsolete in breezy-release on 2008-03-25
m17n-lib (1.2.0-4) unstable; urgency=high


  * Applied tha patch which fixes FTBFS on Hurd due to PATH_MAX.  
  Thank to Michael Banck <email address hidden> (closes: #314528).

 -- Hidetaka Iwai <email address hidden>  Sat, 25 Jun 2005 00:39:02 +0900
Obsolete in hoary-release on 2008-03-19
m17n-lib (1.2.0-1) unstable; urgency=low


  * New upstream release

 -- Hidetaka Iwai <email address hidden>  Tue, 28 Dec 2004 21:22:48 +0900
Obsolete in warty-release on 2008-01-09
m17n-lib (1.0.2-3) unstable; urgency=low


  * debian/control: Add build dependency on xlibs-dev (closes: #250469).

 -- Hidetaka Iwai <email address hidden>  Sun, 23 May 2004 16:33:58 +0900
123 of 23 results